API reference

Statuses and channels API

Post text, image and video statuses (stories), read who viewed them, and create and post to WhatsApp channels (newsletters).

GET /newsletters

Get newsletters. Authenticate with your channel token.

curl -X GET https://agakural.online/newsletters \
  -H "Authorization: Bearer $TOKEN"

POST /newsletters

Create newsletters. Authenticate with your channel token.

FieldInTypeRequiredNotes
namebodystringYesUp to 100 characters
descriptionbodystringNoUp to 2048 characters
curl -X POST https://agakural.online/newsletters \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "name"}'

DELETE /newsletters/{id}

Delete a newsletters. Authenticate with your channel token.

FieldInTypeRequiredNotes
idpathstringYes
curl -X DELETE https://agakural.online/newsletters/{id} \
  -H "Authorization: Bearer $TOKEN"

GET /newsletters/{id}

Get one newsletter. Authenticate with your channel token.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/newsletters/{id} \
  -H "Authorization: Bearer $TOKEN"

PATCH /newsletters/{id}

Update a newsletters. Authenticate with your channel token.

FieldInTypeRequiredNotes
idpathstringYes
namebodystringNoUp to 100 characters
descriptionbodystringNoUp to 2048 characters
curl -X PATCH https://agakural.online/newsletters/{id} \
  -H "Authorization: Bearer $TOKEN"

GET /newsletters/{id}/messages

Get newsletters messages. Authenticate with your channel token.

FieldInTypeRequiredNotes
countqueryintegerNoRange 1–100
idpathstringYes
curl -X GET https://agakural.online/newsletters/{id}/messages \
  -H "Authorization: Bearer $TOKEN"

DELETE /newsletters/{id}/subscription

Delete newsletters subscription. Authenticate with your channel token.

FieldInTypeRequiredNotes
idpathstringYes
curl -X DELETE https://agakural.online/newsletters/{id}/subscription \
  -H "Authorization: Bearer $TOKEN"

POST /newsletters/{id}/subscription

Create newsletters subscription. Authenticate with your channel token.

FieldInTypeRequiredNotes
idpathstringYes
curl -X POST https://agakural.online/newsletters/{id}/subscription \
  -H "Authorization: Bearer $TOKEN"

GET /newsletters/invite/{code}

Get one newsletters invite. Authenticate with your channel token.

FieldInTypeRequiredNotes
codepathstringYes
curl -X GET https://agakural.online/newsletters/invite/{code} \
  -H "Authorization: Bearer $TOKEN"

GET /stories

Get stories. Authenticate with your channel token.

curl -X GET https://agakural.online/stories \
  -H "Authorization: Bearer $TOKEN"

GET /stories/{id}

Get one storie. Authenticate with your channel token.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/stories/{id} \
  -H "Authorization: Bearer $TOKEN"

POST /stories/send/media

Create stories send media. Authenticate with your channel token.

FieldInTypeRequiredNotes
mediabodystringYes
captionbodystringNoUp to 700 characters
typebodyobjectNoOne of: image, video
contactsbodyarray of stringNo
curl -X POST https://agakural.online/stories/send/media \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"media": "media"}'

POST /stories/send/text

Create stories send text. Authenticate with your channel token.

FieldInTypeRequiredNotes
bodybodystringYesUp to 700 characters
background_colorbodystringNo
fontbodyintegerNoRange 0–9
contactsbodyarray of stringNo
curl -X POST https://agakural.online/stories/send/text \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"body": "body"}'